Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxPerfProfAcc.h File Reference Header file for the IXP425 Perf Prof component (IxPerfProfAcc). More... Go to the source code of this file.
## Data Structures
struct | IxPerfProfAccBusPmuResults
| Results obtained from running the Bus Pmu component. The results are obtained when the get functions is called. More...
struct | IxPerfProfAccXcycleResults
| Results obtained from Xcycle run. More...
struct | IxPerfProfAccXscalePmuEvtCnt
| contains results of a counter More...
struct | IxPerfProfAccXscalePmuResults
| contains results of counters and their overflow More...
struct | IxPerfProfAccXscalePmuSamplePcProfile
| contains summary of samples taken More...
## Defines
#define | IX_PERFPROF_ACC_XSCALE_PMU_MAX_PROFILE_SAMPLES
| This is the maximum number of profiling samples allowed, which can be modified according to the user's discretion.
#define | IX_PERFPROF_ACC_BUS_PMU_MAX_PECS
| This is the maximum number of Programmable Event Counters available. This is a hardware specific and fixed value. Do not change.
#define | IX_PERFPROF_ACC_XCYCLE_MAX_NUM_OF_MEASUREMENTS
| Max number of measurement allowed. This constant is used when creating storage array for Xcycle. When run in continuous mode, Xcycle will wrap around and re-use buffer.
#define | IX_PERFPROF_ACC_LOG(level, str, a, b, c, d, e, f)
| Mechanism for logging a formatted message for the PerfProfAcc component.
## Enumerations
enum | IxPerfProfAccBusPmuEventCounters1 { IX_PERFPROF_ACC_BUS_PMU_PEC1_NORTH_NPEA_GRANT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC1_NORTH_NPEB_GRANT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC1_NORTH_NPEC_GRANT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC1_NORTH_BUS_IDLE_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC1_NORTH_NPEA_REQ_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC1_NORTH_NPEB_REQ_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC1_NORTH_NPEC_REQ_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC1_SOUTH_GSKT_GRANT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC1_SOUTH_ABB_GRANT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC1_SOUTH_PCI_GRANT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC1_SOUTH_APB_GRANT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC1_SOUTH_GSKT_REQ_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC1_SOUTH_ABB_REQ_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC1_SOUTH_PCI_REQ_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC1_SOUTH_APB_REQ_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC1_SDR_0_HIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC1_SDR_1_HIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC1_SDR_2_HIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC1_SDR_3_HIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC1_SDR_4_MISS_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC1_SDR_5_MISS_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC1_SDR_6_MISS_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC1_SDR_7_MISS_SELECT }
| Type of bus pmu events supported on PEC 1. More...
enum | IxPerfProfAccBusPmuEventCounters2 { IX_PERFPROF_ACC_BUS_PMU_PEC2_NORTH_NPEA_XFER_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC2_NORTH_NPEB_XFER_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC2_NORTH_NPEC_XFER_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC2_NORTH_BUS_WRITE_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC2_NORTH_NPEA_OWN_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC2_NORTH_NPEB_OWN_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC2_NORTH_NPEC_OWN_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC2_SOUTH_GSKT_XFER_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC2_SOUTH_ABB_XFER_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC2_SOUTH_PCI_XFER_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC2_SOUTH_APB_XFER_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC2_SOUTH_GSKT_OWN_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC2_SOUTH_ABB_OWN_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC2_SOUTH_PCI_OWN_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC2_SOUTH_APB_OWN_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC2_SDR_1_HIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC2_SDR_2_HIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC2_SDR_3_HIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC2_SDR_4_HIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC2_SDR_5_MISS_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC2_SDR_6_MISS_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC2_SDR_7_MISS_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC2_SDR_0_MISS_SELECT }
| Type of bus pmu events supported on PEC 2. More...
enum | IxPerfProfAccBusPmuEventCounters3 { IX_PERFPROF_ACC_BUS_PMU_PEC3_NORTH_NPEA_RETRY_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC3_NORTH_NPEB_RETRY_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC3_NORTH_NPEC_RETRY_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC3_NORTH_BUS_READ_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC3_NORTH_NPEA_WRITE_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC3_NORTH_NPEB_WRITE_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC3_NORTH_NPEC_WRITE_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC3_SOUTH_GSKT_RETRY_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC3_SOUTH_ABB_RETRY_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC3_SOUTH_PCI_RETRY_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC3_SOUTH_APB_RETRY_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC3_SOUTH_GSKT_WRITE_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC3_SOUTH_ABB_WRITE_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC3_SOUTH_PCI_WRITE_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC3_SOUTH_APB_WRITE_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC3_SDR_2_HIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC3_SDR_3_HIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC3_SDR_4_HIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC3_SDR_5_HIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC3_SDR_6_MISS_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC3_SDR_7_MISS_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC3_SDR_0_MISS_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC3_SDR_1_MISS_SELECT }
| Type of bus pmu events supported on PEC 3. More...
enum | IxPerfProfAccBusPmuEventCounters4 { IX_PERFPROF_ACC_BUS_PMU_PEC4_SOUTH_PCI_SPLIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC4_SOUTH_EXP_SPLIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC4_SOUTH_APB_GRANT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC4_SOUTH_APB_XFER_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC4_SOUTH_GSKT_READ_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC4_SOUTH_ABB_READ_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC4_SOUTH_PCI_READ_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC4_SOUTH_APB_READ_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC4_NORTH_ABB_SPLIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC4_NORTH_NPEA_REQ_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC4_NORTH_NPEA_READ_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC4_NORTH_NPEB_READ_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC4_NORTH_NPEC_READ_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC4_SDR_3_HIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC4_SDR_4_HIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC4_SDR_5_HIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC4_SDR_6_HIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC4_SDR_7_MISS_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC4_SDR_0_MISS_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC4_SDR_1_MISS_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC4_SDR_2_MISS_SELECT }
| Type of bus pmu events supported on PEC 4. More...
enum | IxPerfProfAccBusPmuEventCounters5 { IX_PERFPROF_ACC_BUS_PMU_PEC5_SOUTH_ABB_GRANT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC5_SOUTH_ABB_XFER_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC5_SOUTH_ABB_RETRY_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC5_SOUTH_EXP_SPLIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC5_SOUTH_ABB_REQ_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC5_SOUTH_ABB_OWN_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC5_SOUTH_BUS_IDLE_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC5_NORTH_NPEB_GRANT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC5_NORTH_NPEB_XFER_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC5_NORTH_NPEB_RETRY_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC5_NORTH_NPEB_REQ_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC5_NORTH_NPEB_OWN_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC5_NORTH_NPEB_WRITE_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC5_NORTH_NPEB_READ_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC5_SDR_4_HIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC5_SDR_5_HIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC5_SDR_6_HIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC5_SDR_7_HIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC5_SDR_0_MISS_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC5_SDR_1_MISS_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC5_SDR_2_MISS_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC5_SDR_3_MISS_SELECT }
| Type of bus pmu events supported on PEC 5. More...
enum | IxPerfProfAccBusPmuEventCounters6 { IX_PERFPROF_ACC_BUS_PMU_PEC6_SOUTH_PCI_GRANT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC6_SOUTH_PCI_XFER_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC6_SOUTH_PCI_RETRY_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC6_SOUTH_PCI_SPLIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC6_SOUTH_PCI_REQ_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC6_SOUTH_PCI_OWN_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC6_SOUTH_BUS_WRITE_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC6_NORTH_NPEC_GRANT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC6_NORTH_NPEC_XFER_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC6_NORTH_NPEC_RETRY_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC6_NORTH_NPEC_REQ_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC6_NORTH_NPEC_OWN_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC6_NORTH_NPEB_WRITE_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC6_NORTH_NPEC_READ_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC6_SDR_5_HIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC6_SDR_6_HIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC6_SDR_7_HIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC6_SDR_0_HIT_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC6_SDR_1_MISS_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC6_SDR_2_MISS_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC6_SDR_3_MISS_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC6_SDR_4_MISS_SELECT }
| Type of bus pmu events supported on PEC 6. More...
enum | IxPerfProfAccBusPmuEventCounters7 { IX_PERFPROF_ACC_BUS_PMU_PEC7_SOUTH_APB_RETRY_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC7_SOUTH_APB_REQ_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC7_SOUTH_APB_OWN_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC7_SOUTH_BUS_READ_SELECT, IX_PERFPROF_ACC_BUS_PMU_PEC7_CYCLE_COUNT_SELECT }
| Type of bus pmu events supported on PEC 7. More...
enum | IxPerfProfAccXscalePmuEvent { IX_PERFPROF_ACC_XSCALE_PMU_EVENT_CACHE_MISS, IX_PERFPROF_ACC_XSCALE_PMU_EVENT_CACHE_INSTRUCTION, IX_PERFPROF_ACC_XSCALE_PMU_EVENT_STALL, IX_PERFPROF_ACC_XSCALE_PMU_EVENT_INST_TLB_MISS, IX_PERFPROF_ACC_XSCALE_PMU_EVENT_DATA_TLB_MISS, IX_PERFPROF_ACC_XSCALE_PMU_EVENT_BRANCH_EXEC, IX_PERFPROF_ACC_XSCALE_PMU_EVENT_BRANCH_MISPREDICT, IX_PERFPROF_ACC_XSCALE_PMU_EVENT_INST_EXEC, IX_PERFPROF_ACC_XSCALE_PMU_EVENT_FULL_EVERYCYCLE, IX_PERFPROF_ACC_XSCALE_PMU_EVENT_ONCE, IX_PERFPROF_ACC_XSCALE_PMU_EVENT_DATA_CACHE_ACCESS, IX_PERFPROF_ACC_XSCALE_PMU_EVENT_DATA_CACHE_MISS, IX_PERFPROF_ACC_XSCALE_PMU_EVENT_DATA_CACHE_WRITEBACK, IX_PERFPROF_ACC_XSCALE_PMU_EVENT_SW_CHANGE_PC, IX_PERFPROF_ACC_XSCALE_PMU_EVENT_MAX }
| Type of xscale pmu events supported. More...
enum | IxPerfProfAccStatus { IX_PERFPROF_ACC_STATUS_SUCCESS, IX_PERFPROF_ACC_STATUS_FAIL, IX_PERFPROF_ACC_STATUS_ANOTHER_UTIL_IN_PROGRESS, IX_PERFPROF_ACC_STATUS_XCYCLE_MEASUREMENT_IN_PROGRESS, IX_PERFPROF_ACC_STATUS_XCYCLE_NO_BASELINE, IX_PERFPROF_ACC_STATUS_XCYCLE_MEASUREMENT_REQUEST_OUT_OF_RANGE, IX_PERFPROF_ACC_STATUS_XCYCLE_PRIORITY_SET_FAIL, IX_PERFPROF_ACC_STATUS_XCYCLE_THREAD_CREATE_FAIL, IX_PERFPROF_ACC_STATUS_XCYCLE_PRIORITY_RESTORE_FAIL, IX_PERFPROF_ACC_STATUS_XCYCLE_MEASUREMENT_NOT_RUNNING, IX_PERFPROF_ACC_STATUS_XSCALE_PMU_NUM_INVALID, IX_PERFPROF_ACC_STATUS_XSCALE_PMU_EVENT_INVALID, IX_PERFPROF_ACC_STATUS_XSCALE_PMU_START_NOT_CALLED, IX_PERFPROF_ACC_STATUS_BUS_PMU_MODE_ERROR, IX_PERFPROF_ACC_STATUS_BUS_PMU_PEC1_ERROR, IX_PERFPROF_ACC_STATUS_BUS_PMU_PEC2_ERROR, IX_PERFPROF_ACC_STATUS_BUS_PMU_PEC3_ERROR, IX_PERFPROF_ACC_STATUS_BUS_PMU_PEC4_ERROR, IX_PERFPROF_ACC_STATUS_BUS_PMU_PEC5_ERROR, IX_PERFPROF_ACC_STATUS_BUS_PMU_PEC6_ERROR, IX_PERFPROF_ACC_STATUS_BUS_PMU_PEC7_ERROR, IX_PERFPROF_ACC_STATUS_BUS_PMU_START_NOT_CALLED }
| Invalid Status Definitions. More...
enum | IxPerfProfAccBusPmuMode { IX_PERFPROF_ACC_BUS_PMU_MODE_HALT, IX_PERFPROF_ACC_BUS_PMU_MODE_SOUTH, IX_PERFPROF_ACC_BUS_PMU_MODE_NORTH, IX_PERFPROF_ACC_BUS_PMU_MODE_SDRAM }
| State selection of counters. More...
## Functions
PUBLIC IxPerfProfAccStatus | ixPerfProfAccXscalePmuEventCountStart (BOOL clkCntDiv, UINT32 numEvents, IxPerfProfAccXscalePmuEvent pmuEvent1, IxPerfProfAccXscalePmuEvent pmuEvent2, IxPerfProfAccXscalePmuEvent pmuEvent3, IxPerfProfAccXscalePmuEvent pmuEvent4)
| This API will start the clock and event counting.
PUBLIC IxPerfProfAccStatus | ixPerfProfAccXscalePmuEventCountStop (IxPerfProfAccXscalePmuResults *eventCountStopResults)
| This API will stop the clock and event counting.
PUBLIC IxPerfProfAccStatus | ixPerfProfAccXscalePmuTimeSampStart (UINT32 samplingRate, BOOL clkCntDiv)
| Starts the time based sampling.
PUBLIC IxPerfProfAccStatus | ixPerfProfAccXscalePmuTimeSampStop (IxPerfProfAccXscalePmuEvtCnt *clkCount, IxPerfProfAccXscalePmuSamplePcProfile *timeProfile)
| Stops the time based sampling.
PUBLIC IxPerfProfAccStatus | ixPerfProfAccXscalePmuEventSampStart (UINT32 numEvents, IxPerfProfAccXscalePmuEvent pmuEvent1, UINT32 eventRate1, IxPerfProfAccXscalePmuEvent pmuEvent2, UINT32 eventRate2, IxPerfProfAccXscalePmuEvent pmuEvent3, UINT32 eventRate3, IxPerfProfAccXscalePmuEvent pmuEvent4, UINT32 eventRate4)
| Starts the event based sampling.
PUBLIC IxPerfProfAccStatus | ixPerfProfAccXscalePmuEventSampStop (IxPerfProfAccXscalePmuSamplePcProfile *eventProfile1, IxPerfProfAccXscalePmuSamplePcProfile *eventProfile2, IxPerfProfAccXscalePmuSamplePcProfile *eventProfile3, IxPerfProfAccXscalePmuSamplePcProfile *eventProfile4)
| Stops the event based sampling.
PUBLIC void | ixPerfProfAccXscalePmuResultsGet (IxPerfProfAccXscalePmuResults *results)
| Reads the current value of the counters and their overflow.
PUBLIC IxPerfProfAccStatus | ixPerfProfAccBusPmuStart (IxPerfProfAccBusPmuMode mode, IxPerfProfAccBusPmuEventCounters1 pecEvent1, IxPerfProfAccBusPmuEventCounters2 pecEvent2, IxPerfProfAccBusPmuEventCounters3 pecEvent3, IxPerfProfAccBusPmuEventCounters4 pecEvent4, IxPerfProfAccBusPmuEventCounters5 pecEvent5, IxPerfProfAccBusPmuEventCounters6 pecEvent6, IxPerfProfAccBusPmuEventCounters7 pecEvent7)
| Initializes all the counters and selects events to be monitored.
PUBLIC IxPerfProfAccStatus | ixPerfProfAccBusPmuStop (void)
| Stops all counters.
PUBLIC void | ixPerfProfAccBusPmuResultsGet (IxPerfProfAccBusPmuResults *BusPmuResults)
| Gets values of all counters.
PUBLIC void | ixPerfProfAccBusPmuPMSRGet (UINT32 *pmsrValue)
| Get values of PMSR.
PUBLIC IxPerfProfAccStatus | ixPerfProfAccXcycleBaselineRun (UINT32 *numBaselineCycle)
| Perform baseline for Xcycle.
PUBLIC IxPerfProfAccStatus | ixPerfProfAccXcycleStart (UINT32 numMeasurementsRequested)
| Start the measurement.
PUBLIC IxPerfProfAccStatus | ixPerfProfAccXcycleStop (void)
| Stop the Xcycle measurement.
PUBLIC IxPerfProfAccStatus | ixPerfProfAccXcycleResultsGet (IxPerfProfAccXcycleResults *xcycleResult)
| Get the results of Xcycle measurement.
PUBLIC BOOL | ixPerfProfAccXcycleInProgress (void)
| Check if Xcycle is running.
int | ixPerfProfAccXscalePmuTimeSampCreateProcFile (char *buf, char **start, off_t offset, int count, int *eof, void *data)
int | ixPerfProfAccXscalePmuEventSampCreateProcFile (char *buf, char **start, off_t offset, int count, int *eof, void *data)
## Detailed Description Header file for the IXP425 Perf Prof component (IxPerfProfAcc). Version: Revision 1.42 -- Intel Copyright Notice -- Copyright 2003 Intel Corporation All Rights Reserved. The source code contained or described herein and all documents related to the source code ("Material") are owned by Intel Corporation or its suppliers or licensors. Title to the Material remains with Intel Corporation or its suppliers and licensors. The Material is protected by worldwide copyright and trade secret laws and treaty provisions. No part of the Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed, or disclosed in any way except in accordance with the applicable license agreement . No license under any patent, copyright, trade secret or other intellectual property right is granted to or conferred upon you by disclosure or delivery of the Materials, either expressly, by implication, inducement, estoppel, except in accordance with the applicable license agreement. Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel or Intel's suppliers or licensors in any way. For further details, please see the file README.TXT distributed with this software. -- End Intel Copyright Notice -- Definition in file IxPerfProfAcc.h.
Automatically generated from sources. © Intel Corp. 2003